cowboy_req:bindings(3)

NAME

cowboy_req:bindings - Access all values bound from the route

DESCRIPTION
    bindings(Req :: cowboy_req:req()) -> cowboy_router:bindings()

Return a map containing all bindings.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

By default values are case sensitive binary strings, however constraints may change the type of this value (for example automatically converting numbers to integer).

CHANGELOG
    • 2.0: Only the values are returned, they are no longer wrapped in a tuple.
    • 1.0: Function introduced.

EXAMPLES

Get all bindings
    Bindings = cowboy_req:bindings(Req).

SEE ALSO

cowboy_req(3), cowboy_req:binding(3), cowboy_req:host_info(3), cowboy_req:path_info(3), cowboy_router(3)